## ppp 2.4.9

=== debian/changelog ===
ppp (2.4.9-1+1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0

 -- anticapitalista <anticapitalist@operamail.com>  Fri, 12 Nov 2021 07:52:27 -0500

ppp (2.4.9-1+1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use merge request URLs.
  * Add comments from upstream for Nacked patches.

  [ Chris Boot ]
  * New upstream release.
    - Adds defaultroute6 option. (Closes: #477245)
    - Adds defaultroute-metric option. (Closes: #578726)
    - Accepts Windows Server 2019 malformed messages. (Closes: #968040)
    - Fixes pppoe-discovery -U. (Closes: #961462)
  * Remove patches merged upstream (lots!) and refresh the rest.
  * d/ppp.symbols: update for the new version.
  * d/rules: adjust for renamed pppoe plugin.
  * d/ppp.lintian-overrides: update paths to plugins.
  * d/ppp.postinst: remove left-in debugging aid (set -x). (Closes: #978732)
  * Update d/watch to point at ftp.samba.org and add the signing key.
  * Freshen up the ip{,v6}-{up,down} scripts. (Closes: #710946)

  [ Michael Biebl ]
  * Stop using deprecated systemd-resolve tool. (Closes: #979255)

  [ наб ]
  * Add /etc/ppp/ip-pre-up and corresponding /etc/ppp/ip-pre-up.d.
   (Closes: #978396)

 -- Chris Boot <bootc@debian.org>  Thu, 07 Jan 2021 00:10:29 +0000

ppp (2.4.8-1+2) unstable; urgency=medium

  * Clean up correctly after pppd-dns init script and systemd unit removal.
    (Closes: #978427)
  * Don't touch resolv.conf when systemd-resolved is running.
    (Closes: #968589)

  [ Samuel Thibault ]
  * Mark forwarded patches.

 -- Chris Boot <bootc@debian.org>  Wed, 30 Dec 2020 13:49:46 +0000

ppp (2.4.8-1+1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update renamed lintian tag names in lintian overrides.

  [ Chris Boot ]
  * d/control:
    - Switch to debhelper compat level 13.
    - Update Standards-Version to 4.5.1 (no changes requird).
  * Clean up or ignore a handful of lintian complaints:
    - Ignore possible-bashism-in-maintainer-script in ppp-udeb ($HOSTNAME is
      set in the script).
    - Do not use full path to pppoe-discovery.
    - Remove 'echo' bashism (backslash substitution).
    - Remove superfluous #DEBHELPER# tag.
    - Install lintian overrides for ppp-udeb.
  * d/rules: move generated changelog-from-README under debian/.
  * Add debian/.gitignore file covering most files generated during build.
  * Upload to unstable.

 -- Chris Boot <bootc@debian.org>  Fri, 25 Dec 2020 19:26:26 +0000

ppp (2.4.8-1+1~exp1) experimental; urgency=medium

  * New upstream release.
  * d/patches:
    - Remove patches applied upstream.
    - Refresh other patches to remove fuzz.
    - Some patches required significant reworking:
      - cifdefroute.dif (for replacedefaultroute)
      - makefiles_cleanup
  * d/ppp.symbols:
    - adjust symbols for new release.
    - add Build-Depends-Package metadata field.
  * Switch to debhelper compat level 12.
    - Remove d/compat.
    - Replace Build-Depends on debhelper with debhelper-compat (= 12).
  * Remove d/upstream/signing-key.asc. Upstream no loner supplied signed
    tarballs.
  * Fix various lintian complaints:
    - d/rules: don't trigger ldconfig unnecessarily.
    - d/rules: remove obsolete get-orig-source target.
    - d/ppp.lintian-overrides: update version in plugins path.
    - d/ppp.lintian-overrides: add new override for minconn.so.
  * Remove pppd-dns init script and systemd unit, which have been broken since
    ppp 2.4.5-1.
  * Update pppoe-discovery(8) man page.
  * Enable systemd notify integration.
  * d/rules: don't set LDOPTS now that the makefiles use LDFLAGS correctly.
  * Add patch to handle IPv6 RADIUS attributes. (Closes: #874620)
  * d/ppp-udeb.postinst:
    - Source /etc/network/interfaces.d snippets in /etc/network/interfaces file
      generated by debian-installer udeb. (Closes: #889314)
    - Prevent NetworkManager from managing the interface being used for PPPoE.
      (Closes: #889323)
    - Thanks to Алексей Шилин for the patches.
  * Update Standards-Version to 4.5.0 (no changes requird).
  * Add debian/salsa-ci.yml for GitLab CI, but disable reprotest which
    currently fails when files need chowning (salsa-ci-team/pipeline#26).
  * Import patches since upstream 2.4.8 release:
    - radius: Prevent buffer overflow in rc_mksid (replaces
      rc_mksid-no-buffer-overflow fixing #782450)
    - pppd: Fix bounds check in EAP code (Closes: #950618; CVE-2020-8597)
    - pppd: Ignore received EAP messages when not doing EAP
    - Refresh eaptls-mppe.patch to remove fuzz.
  * Add d/patches/multiarch-libc.patch: Use a compile test to detect crypt.h.
    (Closes: #911359)

 -- Chris Boot <bootc@debian.org>  Sat, 15 Feb 2020 16:42:26 +0000

ppp (2.4.7-2+4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch from
    <https://github.com/paulusmack/ppp/commit/3c7b86229f7bd2600d74db14b1fe5b3896be3875>
    to fix FTBFS with glibc 2.28. (Closes: #916163)

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Mar 2019 14:48:25 +0000

ppp (2.4.7-2+4) unstable; urgency=medium

  * Update EAP-TLS patch to version 1.102. (Closes: #912822)

 -- Chris Boot <bootc@debian.org>  Sun, 04 Nov 2018 12:56:54 +0000

ppp (2.4.7-2+3) unstable; urgency=high

  * Update EAP-TLS patch to version 1.101. (CVE-2018-11574)
  * Set urgency=high due to security fix.

 -- Chris Boot <bootc@debian.org>  Sat, 09 Jun 2018 14:20:01 +0100
