=== debian/control ===
Source: ppp
Section: admin
Priority: optional
Homepage: https://ppp.samba.org/
Maintainer: Chris Boot <bootc@debian.org>
Uploaders: Marco d'Itri <md@linux.it>
Build-Depends:
 debhelper (>= 13~),
 debhelper-compat (= 13),
 libpam0g-dev,
 libpcap0.8-dev,
 libssl-dev,
 zlib1g-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/ppp
Vcs-Git: https://salsa.debian.org/debian/ppp.git
Rules-Requires-Root: binary-targets

Package: ppp
Architecture: linux-any
Depends:
 libpam-modules,
 libpam-runtime,
 procps,
 ${misc:Depends},
Breaks:
 network-manager (<< 0.9.8.8-7~),
 network-manager-pptp (<< 0.9.8.4-3~),
 pppdcapiplugin (<< 1:3.25+dfsg1-3.4~),
Description: Point-to-Point Protocol (PPP) - daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is most commonly used to manage a modem for dial-up or
 certain kinds of broadband connections.

Package: ppp-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 di-utils,
 ethernet-card-detection,
 ppp-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: configured-network
XB-Installer-Menu-Item: 1700
Description: Point-to-Point Protocol (PPP) - package for Debian Installer
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package is a minimal ppp package used by the Debian Installer.

Package: ppp-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: debhelper
Description: Point-to-Point Protocol (PPP) - development files
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the machines
 at either end of the link to negotiate various optional characteristics
 of the link.
 .
 This package provides files needed to build pppd-related software.
