## ppp 2.5.0

=== debian/changelog ===
ppp (2.5.0-1+2.0nosystemd1) nosystemd; urgency=medium

  * version without systemd/elogind

 -- anticapitalista <antix@operamail.com>  Mon, 22 Apr 2024 19:34:10 +0300

ppp (2.5.0-1+2) unstable; urgency=medium

  * Fix build on loong64. (Closes: #1052308)
  * Fix changelog entry for NMU ack in 2.5.0-1+1. (Closes: #1009306)
  * Upload to unstable.

 -- Chris Boot <bootc@debian.org>  Sat, 20 Apr 2024 17:05:03 +0100

ppp (2.5.0-1+1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/ppp.lintian-overrides on line 2,
    5-6, 12, 15.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + ppp: Drop versioned constraint on network-manager, network-manager-pptp
      and pppdcapiplugin in Breaks.

  [ Marco d'Itri ]
  * New upstream release. (Closes: #992205, #1009651)

  [ Chris Boot ]
  * Acknowledge NMU. (Closes: #1009306)
  * Remove shipped pppd/pppdconf.h when configuring.
  * Drop removed pppoe-discovery -A switch in ppp-udeb. (Closes: #1042881)
  * Add comments to resolv.conf when rewritten by 0000usepeerdns. (Closes:
    #970075, #979611)
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Sun, 10 Sep 2023 19:03:09 +0530

ppp (2.4.9-1+1.1) unstable; urgency=high

  * Non-maintainer upload

  [ Paul Wise ]
  * Compile for host architecture (Closes: #990021)

  [ Till Kamppeter ]
  * Let 0000usepeerdns exit when NetworkManager is in use (LP: #1778946)

  [ Eivind Næss ]
  * d/p/eap-mschap-v2-namelen.patch: fix the length of the username when
    responding to an EAP MSCHAPv2 challenge (LP: #1958196)

 -- Bastian Germann <bage@debian.org>  Mon, 11 Apr 2022 11:11:33 +0200
