=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Maintainer: Chris Boot <bootc@debian.org>
 Uploaders: Marco d'Itri <md@linux.it>
 Build-Depends:
- debhelper (>= 13~),
  debhelper-compat (= 13),
  libpam0g-dev,
  libpcap0.8-dev,
  libssl-dev,
- zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/debian/ppp
 Vcs-Git: https://salsa.debian.org/debian/ppp.git
 Rules-Requires-Root: binary-targets
@@ -23,10 +21,6 @@
  libpam-runtime,
  procps,
  ${misc:Depends},
-Breaks:
- network-manager (<< 0.9.8.8-7~),
- network-manager-pptp (<< 0.9.8.4-3~),
- pppdcapiplugin (<< 1:3.25+dfsg1-3.4~),
 Description: Point-to-Point Protocol (PPP) - daemon
  The Point-to-Point Protocol provides a standard way to transmit
  datagrams over a serial link, as well as a standard way for the machines
@@ -62,6 +56,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: debhelper
+Provides: dh-sequence-ppp
 Description: Point-to-Point Protocol (PPP) - development files
  The Point-to-Point Protocol provides a standard way to transmit
  datagrams over a serial link, as well as a standard way for the machines
