## ppp 2.5.1

=== debian/changelog ===
ppp (2.5.1-1+1) unstable; urgency=medium

  * d/ppp@.service: add missing nolog to ExecStart
  * Upload to unstable.

 -- Chris Boot <bootc@debian.org>  Fri, 22 Nov 2024 15:27:10 +0000

ppp (2.5.1-1+1~exp1) experimental; urgency=medium

  * New upstream release:
    - Refresh patches.
    - d/ppp.symbols: update for the new version.
  * Add ppp@.service systemd unit file. (Closes: #1066911)
  * d/rules: don't fail if static library isn't built. (Closes: #1071607)
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Thu, 10 Oct 2024 15:55:20 +0100
