=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libpam0g-dev,
  libpcap0.8-dev,
  libssl-dev,
+ libsystemd-dev,
 Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/debian/ppp
 Vcs-Git: https://salsa.debian.org/debian/ppp.git
@@ -21,6 +22,7 @@
  libpam-runtime,
  procps,
  ${misc:Depends},
+ ${shlibs:Depends},
 Description: Point-to-Point Protocol (PPP) - daemon
  The Point-to-Point Protocol provides a standard way to transmit
  datagrams over a serial link, as well as a standard way for the machines
