=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
   $(shell dpkg-buildflags --export=configure || true) \
   --enable-cbcp \
   --enable-multilink \
-  --disable-systemd \
+  --enable-systemd \
   # end
 
 CONFFLAGS_udeb = $(CONFFLAGS) \
@@ -104,7 +104,7 @@
 		$(DIR_PPP_DEV)/usr/share/man/man1/dh_ppp.1p
 
 execute_after_dh_install-arch:
-	rm $(DIR_PPP)/usr/lib/pppd/*/*.*a $(DIR_PPP_UDEB)/usr/lib/pppd/*/*.*a
+	rm -f $(DIR_PPP)/usr/lib/pppd/*/*.*a $(DIR_PPP_UDEB)/usr/lib/pppd/*/*.*a
 	cd $(DIR_PPP)/usr/lib/pppd/*/ && ln -s pppoe.so rp-pppoe.so
 
 override_dh_installchangelogs: build-deb/changelog
@@ -137,6 +137,6 @@
 # debian/patches/pppd-soname-hack.patch to work. The -c2 below makes sure that
 # the build fails if there are any discrepancies in the symbols file in order
 # to catch ABI changes.
-#override_dh_makeshlibs:
-	dh_makeshlibs --no-scripts --package=ppp -Xusr/lib/pppd/ -- -edebian/ppp/usr/sbin/pppd -V
+override_dh_makeshlibs:
+	dh_makeshlibs --no-scripts --package=ppp -Xusr/lib/pppd/ -- -c2 -edebian/ppp/usr/sbin/pppd -V
 	dh_makeshlibs --no-package=ppp
