## ppp 2.5.2

=== debian/changelog ===
ppp (2.5.2-1+1.1) unstable; urgency=high

  * Non-maintainer upload
  * Fix build with GCC-15. Closes: #1097645

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 07 Sep 2025 20:08:41 +0200

ppp (2.5.2-1+1) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Boot <bootc@debian.org>  Mon, 17 Feb 2025 22:11:36 +0000

ppp (2.5.2-1+1~exp1) experimental; urgency=medium

  [ Carles Pina i Estany ]
  * Update Catalan po-debconf translation.

  [ Pascal Hambourg ]
  * ppp-udeb: Rewrite PPPoE access concentrator detection.

  [ Chris Boot ]
  * New upstream release:
    - Add NEWS entry describing removal of passprompt plugin and several
      example scripts.
    - Refresh patches.
    - d/patches: remove 010_scripts_README.diff and 011_scripts_redialer.diff:
      patches apply to files removed upstream.
  * d/ppp.lintian-overrides: update overrides for new version.
  * d/patches/pppd.8-fix-groff-warning.patch: fix manpage bug.
  * Update standards version to 4.7.0, no changes needed.
  * d/ppp-udeb.postinst: replace harmless bashism.
  * d/ppp-udeb.lintian-overrides: fix line offsets.
  * d/rules: silence blhc by not stripping -O2 from udeb build.
  * d/*.lintian-overrides: use wildcards to match rules better.
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Sat, 15 Feb 2025 17:41:53 +0000
