=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpcap0.8-dev,
  libssl-dev,
  libsystemd-dev,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/ppp
 Vcs-Git: https://salsa.debian.org/debian/ppp.git
 Rules-Requires-Root: binary-targets
