=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
   # end
 
 CONFFLAGS_udeb = $(CONFFLAGS) \
-  $(subst -O2,-Os -fomit-frame-pointer,$(shell dpkg-buildflags --export=configure || true)) \
+  $(subst -O2,-O2 -Os -fomit-frame-pointer,$(shell dpkg-buildflags --export=configure || true)) \
   --without-pam \
   --without-pcap \
   --disable-eaptls \
