=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://ftp.samba.org/pub/ppp/ .*/ppp-?(\d\S+)\.tar\.gz
